BuildRequires: xvfb-run
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find/Rule.pm) perl(File/Find/Rule/Perl.pm) perl(File/Slurp.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Locale/Msgfmt.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Padre.pm) perl(Parse/CPAN/Meta.pm) perl(Perl/APIReference.pm) perl(Software/LicenseUtils.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm) perl(constant.pm) perl(parent.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_name Padre-Plugin-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Padre support for perl XS (and perlapi)
Group: Development/Perl
License: perl
URL: http://padre.perlide.org/trac/wiki/PadrePluginXS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BO/BOWTIE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin is intended to extend Padre's support for editing XS
and C-using-perlapi.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%{expand:%%global __find_requires xvfb-run -a %__find_requires}

%files
%doc Changes LICENSE README
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/*

%changelog
* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- initial import by package builder

